| Kea 3.0.2-git

isc::dhcp::Option4ClientFqdn::Rcode Class Reference

Represents the value of one of the RCODE1 or RCODE2 fields. More...

`#include <option4_client_fqdn.h>`

## Public Member Functions
| Rcode (const uint8_t rcode)
uint8_t | getCode () const
| Returns the value of the RCODE.

## Detailed Description

Represents the value of one of the RCODE1 or RCODE2 fields.

Typically, RCODE values are set to 255 by the server and to 0 by the clients (as per RFC 4702).

Definition at line 129 of file option4_client_fqdn.h.

## Constructor & Destructor Documentation

## ◆ Rcode()

isc::dhcp::Option4ClientFqdn::Rcode::Rcode | ( | const uint8_t | rcode | ) |
| inline

Definition at line 131 of file option4_client_fqdn.h.

## Member Function Documentation

## ◆ getCode()

uint8_t isc::dhcp::Option4ClientFqdn::Rcode::getCode | ( |  | ) | const
| inline

Returns the value of the RCODE.

Returned value can be directly used to create the on-wire format of the DHCPv4 Client FQDN Option.

Definition at line 138 of file option4_client_fqdn.h.

The documentation for this class was generated from the following file:

- option4_client_fqdn.h